com.pixelmed.dicom

## Class GeometryOfVolumeFromAttributeList

- java.lang.Object
- - com.pixelmed.geometry.GeometryOfVolume
  - - com.pixelmed.dicom.GeometryOfVolumeFromAttributeList

    public class GeometryOfVolumeFromAttributeList
    extends GeometryOfVolume

A class to extract and describe the spatial geometry of an entire volume of contiguous cross-sectional image slices, given a list of DICOM attributes.

### Field Summary

### Fields inherited from class com.pixelmed.geometry.GeometryOfVolume

`areParallel, C, frames, isVolume, N, R`

### Constructor Summary

Constructors
Constructor and Description
`GeometryOfVolumeFromAttributeList(AttributeList list)` Construct the geometry from the Per-frame and Shared Functional Group Sequences of a multi-frame object, or from the Image Plane Module and related attributes, if there is only a single frame of a non-multi-frame object.
`GeometryOfVolumeFromAttributeList(AttributeList list, int[] subsetOfFrames)` Construct the geometry from the Per-frame and Shared Functional Group Sequences of a subset of frames of a multi-frame object, or from the Image Plane Module and related attributes, if there is only a single frame of a non-multi-frame object.

### Method Summary

Methods
`static double[]` `getImageOrientationPatientFromAttributeList(AttributeList list)` Retrieve the ImageOrientationPatient values if the same for all frames or a single frame conventional object.

### Methods inherited from class com.pixelmed.geometry.GeometryOfVolume

`areAllSlicesParallel, checkAndSetVolumeSampledRegularlyAlongFrameDimension, findClosestSliceInSamePlane, findMaxComponents, getColumnOrientation, getDistanceAlongNormalFromOrigin, getGeometryOfSlice, getGeometryOfSlices, getNumberOfSlices, getRowOrientation, isVolumeSampledRegularlyAlongFrameDimension, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, lookupImageCoordinate, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GeometryOfVolumeFromAttributeList

    public GeometryOfVolumeFromAttributeList(AttributeList list,
                                     int[] subsetOfFrames)
                                      throws DicomException

Construct the geometry from the Per-frame and Shared Functional Group Sequences of a subset of frames of a multi-frame object, or from the Image Plane Module and related attributes, if there is only a single frame of a non-multi-frame object.

Parameters:
  `list` - the list of DICOM attributes
  `subsetOfFrames` - the subset of frames to include or null if entire set
Throws:
  `DicomException`

#### GeometryOfVolumeFromAttributeList

    public GeometryOfVolumeFromAttributeList(AttributeList list)
                                      throws DicomException

Construct the geometry from the Per-frame and Shared Functional Group Sequences of a multi-frame object, or from the Image Plane Module and related attributes, if there is only a single frame of a non-multi-frame object.

Parameters:
  `list` - the list of DICOM attributes
Throws:
  `DicomException`

### Method Detail

#### getImageOrientationPatientFromAttributeList

    public static double[] getImageOrientationPatientFromAttributeList(AttributeList list)

Retrieve the ImageOrientationPatient values if the same for all frames or a single frame conventional object.

Parameters:
  `list` - the top level attribute list for the object
Returns:
  a double array of six values, or null if not present or not shared